Passer au contenu principal
GET
/
v3
/
enterprise
/
knowledge
/
notes
/
{note_id}
Obtenir une note par son ID
curl --request GET \
  --url https://api.devin.ai/v3/enterprise/knowledge/notes/{note_id} \
  --header 'Authorization: Bearer <token>'
{
  "access_type": "enterprise",
  "body": "<string>",
  "created_at": 123,
  "folder_id": "<string>",
  "folder_path": "<string>",
  "is_enabled": true,
  "macro": "<string>",
  "name": "<string>",
  "note_id": "<string>",
  "org_id": "<string>",
  "pinned_repo": "<string>",
  "trigger": "<string>",
  "updated_at": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

Autorisations

Nécessite un utilisateur de service disposant de l’autorisation ManageAccountKnowledge au niveau Enterprise.

Autorisations

Authorization
string
header
requis

Identifiant de compte de service (préfixe : cog_)

Paramètres de chemin

note_id
string
requis

ID de la note de Knowledge (préfixe : note-)

Exemple:

"note-abc123def456"

Réponse

Réponse réussie

access_type
enum<string>
requis
Options disponibles:
enterprise,
org
body
string
requis
created_at
integer
requis
folder_id
string | null
requis
folder_path
string
requis
is_enabled
boolean
requis
macro
string | null
requis
name
string
requis
note_id
string
requis
org_id
string | null
requis
pinned_repo
string | null
requis
trigger
string
requis
updated_at
integer
requis